Bug 819066 - [abrt] telepathy-butterfly-0.5.15-4.fc16: service.py:571:add_to_connection:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/hecsa_40hecsa_2ecom_2ear/TextChannel1': there is already a handler"
Summary: [abrt] telepathy-butterfly-0.5.15-4.fc16: service.py:571:add_to_connection:Ke...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b9dbc6147454ce1db5001a2a522...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-04 18:06 UTC by HeCSa
Modified: 2013-02-13 10:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 10:57:31 UTC
Type: ---


Attachments (Terms of Use)

Description HeCSa 2012-05-04 18:06:45 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
event_log:      2012-05-04-15:06:30> Smolt profile successfully saved
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.3.2-6.fc16.x86_64
reason:         service.py:571:add_to_connection:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/hecsa_40hecsa_2ecom_2ear/TextChannel1': there is already a handler"
time:           Fri 04 May 2012 03:06:13 PM ART
uid:            1000
username:       hecsa

backtrace:
:service.py:571:add_to_connection:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/hecsa_40hecsa_2ecom_2ear/TextChannel1': there is already a handler"
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 485, in handler_created
:    if self._dispatch("on_invite_conversation", handler) == 0:
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 432, in on_invite_conversation
:    signal=True, conversation=conversation)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/channelmanager.py", line 125, in channel_for_props
:    return self.create_channel_for_props(props, signal, **args)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/channelmanager.py", line 110, in create_channel_for_props
:    props, **args)
:  File "/usr/lib/python2.7/site-packages/butterfly/channel_manager.py", line 119, in _get_text_channel
:    object_path=path)
:  File "/usr/lib/python2.7/site-packages/butterfly/channel/im.py", line 40, in __init__
:    ButterflyTextChannel.__init__(self, conn, manager, conversation, props, object_path)
:  File "/usr/lib/python2.7/site-packages/butterfly/channel/text.py", line 58, in __init__
:    object_path=object_path)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/channel.py", line 230, in __init__
:    object_path=object_path)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/channel.py", line 63, in __init__
:    _Channel.__init__(self, self._conn._name, object_path)
:  File "/usr/lib/python2.7/site-packages/dbus/service.py", line 480, in __init__
:    self.add_to_connection(conn, object_path)
:  File "/usr/lib/python2.7/site-packages/dbus/service.py", line 571, in add_to_connection
:    self._fallback)
:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/hecsa_40hecsa_2ecom_2ear/TextChannel1': there is already a handler"
:
:Local variables in innermost frame:
:path: '/org/freedesktop/Telepathy/Connection/butterfly/msn/hecsa_40hecsa_2ecom_2ear/TextChannel1'
:connection: <dbus._dbus.SessionBus (session) at 0x280ebf0>
:self: <butterfly.channel.im.ButterflyImChannel at 0x2ac3910>

smolt_data:
:
:
:General
:=================================
:UUID: f0879faf-b37b-47aa-993d-bfe5d9fbb25e
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3192.26
:CPU Vendor: AuthenticAMD
:CPU Model: AMD E-350 Processor
:CPU Stepping: 0
:CPU Family: 20
:CPU Model Num: 1
:Number of CPUs: 2
:CPU Speed: 1600
:System Memory: 2611
:System Swap: 8191
:Vendor: Hewlett-Packard
:System: HP Pavilion dm1 Notebook PC 058A110000252B10000110100
:Form factor: Notebook
:Kernel: 3.3.2-6.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17297:4156:5649) pci, ahci, STORAGE, Pavilion DM1Z-3000
:(4130:5392:4130:5392) pci, None, HOST/PCI, Pavilion DM1Z-3000 Host bridge
:(4098:4884:4156:5649) pci, snd_hda_intel, MULTIMEDIA, Wrestler HDMI Audio [Radeon HD 6250/6310]
:(4098:38914:4156:5649) pci, radeon, VIDEO, AMD Radeon HD 6310 GraphicsATI
:(4130:5912:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 6
:(4130:5892:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 4
:(4130:5913:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 7
:(4130:5910:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 5
:(4130:5889:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 1
:(4130:5888:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 0
:(4130:5891:0:0) pci, k10temp, HOST/PCI, Family 12h/14h Processor Function 3
:(4130:5890:0:0) pci, None, HOST/PCI, Family 12h/14h Processor Function 2
:(4098:17302:4156:5649) pci, ehci_hcd, USB, Pavilion DM1Z-3000
:(4098:17303:4156:5649) pci, ohci_hcd, USB, Pavilion DM1Z-3000
:(4098:17285:4156:5649) pci, piix4_smbus, SERIAL, Pavilion DM1Z-3000
:(4098:17309:4156:5649) pci, None, PCI/ISA, Pavilion DM1Z-3000
:(4098:17283:4156:5649) pci, snd_hda_intel, MULTIMEDIA, Pavilion DM1Z-3000
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:4156:5649) pci, ehci_hcd, USB, Pavilion DM1Z-3000
:(4332:33128:4156:5649) pci, r8169, ETHERNET, Pavilion DM1Z-3000
:(4098:17303:4156:5649) pci, ohci_hcd, USB, Pavilion DM1Z-3000
:(4098:17302:4156:5649) pci, ehci_hcd, USB, Pavilion DM1Z-3000
:(4098:17303:4156:5649) pci, ohci_hcd, USB, Pavilion DM1Z-3000
:(6164:21407:4156:5687) pci, rt2800pci, NETWORK, N/A
:(4130:5394:4130:4660) pci, pcieport, PCI/PCI, Family 14h Processor Root Port
:(4130:5395:4130:4660) pci, pcieport, PCI/PCI, Family 14h Processor Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 89141860 62652077 61760131 22315008 21992587 21992587
:

Comment 1 Fedora End Of Life 2013-01-16 11:34:15 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora End Of Life 2013-02-13 10:57:34 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.